import { isPackedTensor as n } from "../utilities/packed.js";
import { e as c } from "../index-DSGwv2Yx.js";
import { s as i } from "../slice-BvItlgXu.js";
function a(r, e, o) {
  return n(r) ? c().runKernel("Slice16", { x: r }, { begin: e, size: o }) : i(r, e, o);
}
export {
  a as slice16
};
